<?php

return function (\DI\Container $container) {
  $container->set('connection', function () use ($container) {
      $connection = $container->get('settings')['connection'];

      $host = $connection['host'];
      $dbname = $connection['dbname'];
      $dbuser = $connection['dbuser'];
      $dbpass = $connection['dbpass'];

      try {
          $connection = new PDO("mysql:host={$host};dbname={$dbname}",$dbuser,$dbpass);
          $connection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
          $connection->setAttribute (PDO::MYSQL_ATTR_USE_BUFFERED_QUERY, true);
      }
      catch (PDOException $e) {
          echo "Connection failed: " . $e->getMessage();
      }

      return $connection;
  });
};