<?php
use Psr\Container\ContainerInterface;
use Slim\Views\Twig;
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;


class ContactController
{
    private ContainerInterface $container;
    private \Repo\SendContactInfoRepo $contactRepo;

    public function __construct(ContainerInterface $c)
    {
        $this->container = $c;
        $this->contactRepo = new \Repo\SendContactInfoRepo($c->get('connection'));
    }

    public function main(Request $request, Response $response, $args) {
        return Twig::fromRequest($request)->render($response,'contact.html.twig');
    }

    public function handleContact(Request $request, Response $response, $args) {
        $body = $request->getParsedBody();

        $email = $body['email'];
        $topic = $body['topic'];
        $content = $body['content'];

        $contactModel = new ContactProperties($email,$topic,$content);
        try {
            $this->contactRepo->save($contactModel);
        }
        catch (Exception $e) {
            echo "Error: " . $e->getMessage();
            // TODO: Handle errors and show the user what the error was on the correct filed
        }


        // TODO: Handle messages and return data to the user to show the process was successful
        return Twig::fromRequest($request)
            ->render($response,'contact.html.twig');
    }
}