<?php

namespace Repo;

use Exception;
use PDO;

class SendContactInfoRepo implements SendContactInfoInterface
{
    private PDO $PDO;

    public function __construct(PDO $PDO)
    {
        $this->PDO = $PDO;
    }

    public function save(\ContactProperties $contactProperties): void
    {
        $sql_check = "SELECT FROM contacts WHERE email = ?";
        $sql_to_execute= $this->PDO->prepare($sql_check);
        $sql_to_execute->execute($contactProperties->getMail());

        $result = $sql_to_execute->fetchAll(PDO::FETCH_ASSOC);

        if($result) {
            throw new Exception('Email already exists');
        }

        $sql = "INSERT INTO contacts (email, topic, content) VALUES (?,?,?)";
        $stmt= $this->PDO->prepare($sql);
        $response = $stmt->execute([$contactProperties->getMail(), $contactProperties->getTopic(),$contactProperties->getContent()]);
        if (!$response) {
            throw new Exception('Could not store.');
        }
    }
}